package com.iformall.enums;

/**
 * Created by luozukai
 * 短信模板
 */
public enum EnumMsgModel {
    // type,name
    MALL_APPLY(1, "申请试用"),
    FLOW_ASSIGNEE_NODIFY(2, "待办通知"),
    FLOW_APPLY_NODIFY(3, "审批通知"),
    FLOW_PASS_NODIFY(4, "通过审批通知"),
    FLOW_REJECT_NODIFY(5, "驳回通知"),
    VALIDATION_CODE(6, "验证码"),
    BILL_WAIT_PAY(7, "账单待缴通知"),
    BILL_OWE(8, "账单欠缴通知"),
    COUPON_SEND(9, "场景投放"),
    ;

    public static EnumMsgModel getEnum(Integer code) {
        for (EnumMsgModel value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgModel(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
